/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */
package moreenums;

/**
 *
 * @author fulmanp
 */
public class SecondEnumClass {
    public enum NaturalOccurrence {PRIMORDIAL, FROM_DECAY, SYNTHETIC};
    /*
    natural occurrence:Primordial 	From decay 	Synthetic
            
            state of matter Solids 	Liquids 	Gases 	Unknown
                    
                    Element categories: Metals 	Metalloids 	Nonmetals 	Unknown
chemical
properties
Alkali metals 	Alkaline earth metals 	Inner transition metals 	Transition metals 	Post-transition metals 	Other nonmetals 	Halogens 	Noble gases
Lanthanides 	Actinides
*/
    
    //The periodic table of the chemical elements
    public enum PeriodicTable {
        H ("Hydrogen","wodór",1,1,NaturalOccurrence.PRIMORDIAL), //hydrogen, wodór, group 1, period 1, nonmetal, primordial, gas
        O   ("Oxygene","tlen",14,2,NaturalOccurrence.PRIMORDIAL),//Oxygen, group 16, period 2, nonmetal, primordial, gas
        C   ("Carbon","węgiel",14,2,NaturalOccurrence.PRIMORDIAL),//Carbon,14,2,nonmetal, primordial, solid
        AU    ("Gold","złoto",11,6,NaturalOccurrence.PRIMORDIAL);//Gold,11,6,transition metal,primordial,solid


        private final int group;
        private final int period;
        private final String en_name;
        private final String pl_name;
        private final NaturalOccurrence occurence;
        
        PeriodicTable(String en_n, String pl_n, int group, int period, NaturalOccurrence occurence) {
            this.group = group;
            this.period = period;
            this.en_name = en_n;
            this.pl_name = pl_n;
            this.occurence = occurence;
        }
        
        public void printTotalInfo()
        { 
            System.out.println(en_name+" (pl: "+pl_name+")"); 
            System.out.println("group: "+group+" period: "+period);
            System.out.println("Natural occurrence: "+occurence); 
        }                
    }
    
    PeriodicTable chemicalElement;    
}
